package net.omnis.android

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import net.omnis.android.ui.main.MainFragment
import net.omnis.omnisinterface.IntentHelper
import net.omnis.omnisinterface.omdevice.OMPermissions

class MainActivity : AppCompatActivity() {

	private var mMainFragment: MainFragment? = null // jmg0950

	override fun onCreate(savedInstanceState: Bundle?) {
		setTheme(R.style.AppTheme) // Switch from launcher theme (to show splash image), back to main theme: https://plus.google.com/+AndroidDevelopers/posts/Z1Wwainpjhd
		super.onCreate(savedInstanceState)
		setContentView(R.layout.main_activity)

		if (savedInstanceState == null) {
			mMainFragment = MainFragment.newInstance() // jmg0950
			supportFragmentManager.beginTransaction()
						.replace(R.id.container, mMainFragment!!) // jmg0950
						.commitNow()
		}
	}

	// jmg0950
	override fun onWindowFocusChanged(hasFocus: Boolean) {
		super.onWindowFocusChanged(hasFocus)
		mMainFragment?.onWindowFocusChanged(hasFocus)
	}

	override fun onRequestPermissionsResult(requestCode: Int, permissions: Array<out String>, grantResults: IntArray) {
		super.onRequestPermissionsResult(requestCode, permissions, grantResults)

		OMPermissions.permissionRequestResults(permissions, grantResults)
	}

	override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
		super.onActivityResult(requestCode, resultCode, data)

		IntentHelper.handleActivityResult(requestCode, resultCode, data)
	}
}
