// Copyright (C) Omnis Software Ltd 2019
// JavaScript omnis framework for rendering and managing omnis remote forms
// Screen size objects


var eScreenSize = { // Omnis JS screen size constants
	"Desktop": 0,
	"js320x480Portrait": 3,
	"js320x480Landscape": 4,
	"js768x1024Portrait": 9,
	"js768x1024Landscape": 10,
	"js345x345": 13, 
	"js360x640Portrait": 14,
	"js360x640Landscape": 15 
};

// The portrait and square screen sizes - these must correspond to the JS client sizes available in ssz.cfg stored in the Studio folder of the Omnis server
var possibleScreenSizes = {
	"js320x480Portrait": { "width": 320, "height": 480 },
	"js768x1024Portrait": { "width": 768, "height": 1024 },
	"js345x345": { "width": 345, "height": 345 },
	"js360x640Portrait": { "width": 360, "height": 640 }
};

// These are the current supported screen sizes based on the data-dss attribute of the omnisobject div.  Initialised with just 
// desktop, as that is always supported and is not present in data-dss
var screenSizeEntries = [
													{ "portrait": true, "width": 1024, "height": 1024, "id":0, "constant": eScreenSize.Desktop }
												];

var gResponsiveDesign = false;	// Set this to true to make the form size according to the responsive design view in Firefox - useful for testing layouts
// End of file
